@import "../../scss/importer";

.session-progress-user {
  display: flex;
  align-items: center;
  // border-bottom: 1px solid $cgn-grey;
  margin-bottom: 8px;
  padding-left: 0;
  transition: 0.3s;
  position: relative;
  padding-bottom: 32px;
  padding-top: 16px;
  @include breakpoint(large down) {
    padding-left: 16px;
  }
  @include breakpoint(medium down) {
    padding-bottom: 16px;
    padding-top: 8px;
  }
  .spacer {
    flex: 0 0 27%;
    @include breakpoint(large down) {
      display: none;
    }
  }
  &__progress {
    flex: 0 0 75%;
    .progress-text {
      display: flex;
      @include breakpoint(medium down) {
        flex-direction: column;
      }
      p {
        font-size: 12px;
        margin-top: 0;
        margin-bottom: 0;
        color: $cgn-dark;
      }
      .progress-date {
        flex: 0 1 12%;
        margin-right: 32px;
        @include breakpoint(large down) {
          flex: 0 0 20%;
        }
        @include breakpoint(medium down) {
          flex: 0 0 100%;
        }
      }
      .progress-message {
        flex: 0 0 70%;
      }
    }
    .progress {
      width: 100%;
      height: 8px;
      background: $cgn-grey;
      position: relative;
      // transition: 0.3s;
      // transition-delay: 5s;
      &::after {
        content: "";
        background: $cgn-blue;
        // width: 0;
        height: 8px;
        position: absolute;
        left: 0;
        top: 0;
      }
    }
  }
}
